OpenBSD::BaseState(3p)

NAME
OpenBSD::BaseState - light-weight IO and system access in pkg_add

SYNOPSIS
    use OpenBSD::BaseState;

    OpenBSD::BaseState->say("I'm sorry #1, I'm afraid I can't do that", $user);
    OpenBSD::BaseState->system('make', '-C');

DESCRIPTION
"OpenBSD::BaseState" contains utility functions for "OpenBSD::State" objects, as a light-weight framework for perl code that doesn't really need fully fledged state objects and all the extra luggage that the object provides.

As such, "OpenBSD::BaseState" contains the actual code for "fhprint", "fhsay" "print", "say", "errsay", "fatal", "f", "system", "verbose_system", "copy_file", "unlink", "copy"

$class->can_output
    hook to be overridden if need be, for programs that do not want to keep writing to the terminal in the background. Returns 1 by default.

BUGS
User interface needs are not fully fleshed out and "OpenBSD::State" is a work-in-progress. What's described here should hopefully no longer change too much.